package com.hfkj.service.goods.impl;

import com.hfkj.dao.GoodsMsgMapper;
import com.hfkj.entity.GoodsBrand;
import com.hfkj.entity.GoodsMsg;
import com.hfkj.service.goods.GoodsMsgService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service("goodsMsgService")
public class GoodsMsgServiceImpl implements GoodsMsgService {

    @Resource
    private GoodsMsgMapper goodsMsgMapper;

    @Override
    public void create(GoodsMsg goodsMsg) {
        goodsMsgMapper.insert(goodsMsg);
    }

    @Override
    public void update(GoodsMsg goodsMsg) {
        goodsMsgMapper.updateByPrimaryKeySelective(goodsMsg);
    }

    @Override
    public void delete(Long id, Boolean fullDelete) {
        if (fullDelete) {
            goodsMsgMapper.deleteByPrimaryKey(id);
        } else {
            GoodsMsg goodsMsg = queryDetail(id);
            goodsMsg.setStatus(0);
            goodsMsg.setUpdateTime(new Date());
            update(goodsMsg);
        }
    }

    @Override
    public GoodsMsg queryDetail(Long id) {
        return goodsMsgMapper.selectByPrimaryKey(id);
    }

    @Override
    public GoodsMsg queryDetailByMap(Map<String, Object> map) {
        return null;
    }

    @Override
    public List<GoodsMsg> getList(Map<String, Object> map) {
        return Collections.emptyList();
    }
}
